com.holonplatform.spring.security

## Interface SpringSecurityAuthentication

- All Superinterfaces:
    org.springframework.security.core.Authentication, ParameterSet, Principal, Serializable
  All Known Implementing Classes:
    DefaultSpringSecurityAuthentication

      public interface SpringSecurityAuthentication
      extends Authentication, org.springframework.security.core.Authentication

  Represents an `Authentication` within a Spring Security environment, extending the Spring Security `Authentication` interface too.

  The `AUTHENTICATION_DETAILS_KEY` parameter name is used to store the Spring Security authentication details as an `Authentication` parameter.

  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.auth.Authentication

      `Authentication.AuthenticationListener, Authentication.AuthenticationNotifier, Authentication.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHENTICATION_DETAILS_KEY` Authentication details parameter name.

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpringSecurityAuthentication` | `create(org.springframework.security.core.Authentication authentication)` Get the `Authentication` representation of the given Spring Security Authentication as a `SpringSecurityAuthentication`.

    - ### Methods inherited from interface com.holonplatform.auth.Authentication

      `builder, getPermissions, getScheme, isRoot`

    - ### Methods inherited from interface com.holonplatform.core.ParameterSet

      `builder, empty, forEachParameter, getParameter, getParameter, getParameter, getParameter, getParameter, getParameterIf, getParameterIf, hasNotNullParameter, hasNotNullParameter, hasParameter, hasParameter, hasParameters, hasParameterValue, hasParameterValue`

    - ### Methods inherited from interface org.springframework.security.core.Authentication

      `getAuthorities, getCredentials, getDetails, getPrincipal, isAuthenticated, setAuthenticated`

    - ### Methods inherited from interface java.security.Principal

      `equals, getName, hashCode, implies, toString`

- - ### Field Detail

    - #### AUTHENTICATION_DETAILS_KEY

          static final String AUTHENTICATION_DETAILS_KEY

      Authentication details parameter name.

  - ### Method Detail

    - #### create

          static SpringSecurityAuthentication create(org.springframework.security.core.Authentication authentication)

      Get the `Authentication` representation of the given Spring Security Authentication as a `SpringSecurityAuthentication`.

      If authentication details are available through `Authentication.getDetails()`, it will be available as an `Authentication` parameter with name `AUTHENTICATION_DETAILS_KEY`.

      Parameters:
        `authentication` - The Spring Security Authentication (not null)
      Returns:
        The `SpringSecurityAuthentication` representation of the Spring Security Authentication

Copyright © 2019 The Holon Platform. All rights reserved.